Unable to mirror EOL release

Having issues using the CentOS WebSite? Then describe your problem(s) here. Please include details of your platform (Linux, Mac, Windows) and browser -- not forgetting the versions of each.
ajhlinuxuser
Posts: 1
Joined: 2017/10/14 23:04:13

Unable to mirror EOL release

Postby ajhlinuxuser » 2017/10/14 23:17:30

Hi,

I wanted to create my own local mirror of CentOS 5 (I am aware that it is an end-of-life release). I followed the instfuctions at https://wiki.centos.org/HowTos/CreateLocalMirror but I could not get rsync to work. According to a warning at https://wiki.centos.org/HowTos/CreatePublicMirrors, the problem is an IP address restriction to known public mirrors only.

I understand the purpose of restricting current releases so that public mirrors have the priority, but since public mirrors do not have the EOL releases, vault.centos.org should allow rsync from any IP address since there is nowhere else to retrieve end-of-life files.

If there is any way to communicate my concern to somebody who can make this adjustment, please let me know.

Thanks.

User avatar
avij
Forum Moderator
Posts: 2176
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: Unable to mirror EOL release

Postby avij » 2017/10/15 06:45:54

ajhlinuxuser wrote:... since there is nowhere else to retrieve end-of-life files.

Please see http://vault.centos.org/notonvault.html

User avatar
TrevorH
Forum Moderator
Posts: 21174
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Unable to mirror EOL release

Postby TrevorH » 2017/10/15 09:21:10

I understand the purpose of restricting current releases so that public mirrors have the priority


Well, part of the point of that is to protect people from themselves by not making insecure and out of date software too readily available. CentOS 5 is dead and will receive no more updates, ever. It will get progressively less and less secure as time goes by and there have already been several updates for high severity issues for the newer versions that have not been made to CentOS 5.

It's dangerous and should not be used
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke